import { EventEmitter } from '../../stencil-public-runtime';
import { TTagOrStatusItem } from '../../store/type';
export declare class TagOrStatusItem {
    chatId: string;
    item: TTagOrStatusItem;
    expandText?: boolean;
    size?: 'sm' | 'md' | 'lg';
    delete: EventEmitter<string>;
    isOpen: boolean;
    private triggerEl;
    private popperEl;
    private referenceSelector;
    private cleanup?;
    componentWillLoad(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleClickOutside: (e: MouseEvent) => void;
    private handleCloseOthers;
    togglePopper(): Promise<void>;
    render(): any;
}
